package com.gtiit.shr.common;





public class ResponseResult {

    /**
     * 创建一个成功的返回结果
     *
     * @param message 返回的消息
     * @param data    返回的数据
     * @return 包含成功状态的结果对象
     */
    public static Result isOk(String message, Object data) {
        return new Result(true, 0, message, data);
    }



    /**
     * 创建一个错误的返回结果
     *
     * @param message 返回的消息
     * @param data    返回的数据
     * @return 包含错误状态的结果对象
     */
    public static Result isError(String message, Object data) {
        return new Result(false, 1, message, data);
    }
}
